<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
		 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<parent>
		<artifactId>zidm-parent</artifactId>
		<groupId>com.zxy.idm</groupId>
		<version>1.5.3</version>
	</parent>
	<modelVersion>4.0.0</modelVersion>
	<packaging>pom</packaging>
	<artifactId>zi-wms-fpcd-server</artifactId>
	<version>${revision}</version>

	<properties>
		<maven.compiler.source>8</maven.compiler.source>
		<maven.compiler.target>8</maven.compiler.target>
		<zi.wms.version>1.5.3</zi.wms.version>
		<zi.wms.data.version>1.0.0</zi.wms.data.version>
		<revision>1.0.0</revision>

		<spring.boot.version>2.2.13.RELEASE</spring.boot.version>
		<spring.batch.version>4.1.2.RELEASE</spring.batch.version>
	</properties>

	<dependencies>
		<!-- Spring Admin Server -->
		<dependency>
			<groupId>de.codecentric</groupId>
			<artifactId>spring-boot-admin-starter-server</artifactId>
			<version>2.2.4</version>
		</dependency>

		<dependency>
			<groupId>de.codecentric</groupId>
			<artifactId>spring-boot-admin-starter-client</artifactId>
			<version>2.2.4</version>
		</dependency>

		<dependency>
			<groupId>org.mybatis.spring.boot</groupId>
			<artifactId>mybatis-spring-boot-starter</artifactId>
			<version>2.3.1</version> <!-- 根据实际版本调整 -->
		</dependency>

		<dependency>
			<groupId>com.squareup.okhttp3</groupId>
			<artifactId>okhttp</artifactId>
			<version>4.9.0</version> <!-- 请检查以获取最新版本 -->
		</dependency>

		<!-- 分页 -->
		<dependency>
			<groupId>com.github.pagehelper</groupId>
			<artifactId>pagehelper-spring-boot-starter</artifactId>
			<version>1.4.7</version>
		</dependency>

		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>easyexcel</artifactId>
			<version>2.2.6</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi</artifactId>
			<version>4.1.2</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-examples</artifactId>
			<version>4.1.2</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-excelant</artifactId>
			<version>4.1.2</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-ooxml</artifactId>
			<version>4.1.2</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-ooxml-schemas</artifactId>
			<version>4.1.2</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-scratchpad</artifactId>
			<version>4.1.2</version>
		</dependency>

		<!-- 		local lib -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-freemarker</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-amqp</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-jdbc</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-dependencies</artifactId>
			<version>${spring.boot.version}</version>
			<type>pom</type>
			<scope>import</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework.batch</groupId>
			<artifactId>spring-batch-core</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.batch</groupId>
			<artifactId>spring-batch-infrastructure</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.batch</groupId>
			<artifactId>spring-batch-test</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>com.sun.mail</groupId>
			<artifactId>javax.mail</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-core</artifactId>
			<exclusions>
				<exclusion>
					<artifactId>log4j-api</artifactId>
					<groupId>org.apache.logging.log4j</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-api</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-collections4</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-lang3</artifactId>
		</dependency>
		<dependency>
			<groupId>commons-net</groupId>
			<artifactId>commons-net</artifactId>
		</dependency>
		<dependency>
			<groupId>jaxen</groupId>
			<artifactId>jaxen-zidm</artifactId>
		</dependency>
		<dependency>
			<groupId>commons-logging</groupId>
			<artifactId>commons-logging</artifactId>
			<version>1.3.2</version>
		</dependency>
		<dependency>
			<groupId>org.jdom</groupId>
			<artifactId>jdom</artifactId>
		</dependency>
		<dependency>
			<groupId>org.json</groupId>
			<artifactId>json</artifactId>
		</dependency>
		<dependency>
			<groupId>com.jayway.jsonpath</groupId>
			<artifactId>json-path</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-math3</artifactId>
		</dependency>
		<dependency>
			<groupId>com.lmax</groupId>
			<artifactId>disruptor</artifactId>
		</dependency>
		<dependency>
			<groupId>org.codehaus.groovy</groupId>
			<artifactId>groovy</artifactId>
		</dependency>
		<dependency>
			<groupId>org.dom4j</groupId>
			<artifactId>dom4j</artifactId>
		</dependency>
<!--				<dependency>-->
<!--					<groupId>com.tibco</groupId>-->
<!--					<artifactId>tibrvj</artifactId>-->
<!--					<version>8.7.0</version>-->
<!--					&lt;!&ndash;			<scope>system</scope>&ndash;&gt;-->
<!--				</dependency>-->
<!--				<dependency>-->
<!--					<groupId>com.tibco.tibrv</groupId>-->
<!--					<artifactId>com.tibco.tibrv</artifactId>-->
<!--					<version>1.0.0</version>-->
<!--					<scope>system</scope>-->
<!--				</dependency>-->
		<dependency>
			<groupId>com.zxy.idm</groupId>
			<artifactId>zidm-frame-autoconfigure</artifactId>
		</dependency>
		<dependency>
			<groupId>com.zxy.idm</groupId>
			<artifactId>zidm-frame-core</artifactId>
		</dependency>
		<dependency>
			<groupId>com.zxy.idm</groupId>
			<artifactId>zidm-frame-esb</artifactId>
		</dependency>
		<dependency>
			<groupId>com.zxy.idm</groupId>
			<artifactId>zidm-frame-exception</artifactId>
		</dependency>
		<dependency>
			<groupId>com.zxy.idm</groupId>
			<artifactId>zidm-frame-common</artifactId>
		</dependency>
		<dependency>
			<groupId>com.zxy.idm</groupId>
			<artifactId>zidm-frame-orm</artifactId>
		</dependency>
		<dependency>
			<groupId>com.zxy.idm</groupId>
			<artifactId>zidm-flow-engine</artifactId>
		</dependency>
		<dependency>
			<groupId>com.zxy.idm</groupId>
			<artifactId>zidm-flow-xutil4j</artifactId>
		</dependency>

		<dependency>
			<groupId>com.zxy.idm</groupId>
			<artifactId>zi-wms-core</artifactId>
			<version>${zi.wms.version}</version>
		</dependency>
		<dependency>
			<groupId>com.zxy.idm</groupId>
			<artifactId>zidm-frame-starter-tibrv</artifactId>
			<exclusions>
				<exclusion>
					<groupId>com.tibco</groupId>
					<artifactId>tibrvi</artifactId>
				</exclusion>
			</exclusions>
		</dependency><dependency>
		<groupId>com.tibco</groupId>
		<artifactId>tibrvj</artifactId>
		<version>8.4.6</version>
	</dependency>

	</dependencies>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>com.zxy.idm</groupId>
				<artifactId>zi-wms-starter</artifactId>
				<version>${zi.wms.version}</version>
			</dependency>
			<dependency>
				<groupId>com.zxy.idm</groupId>
				<artifactId>zi-wms-client</artifactId>
				<version>${revision}</version>
			</dependency>
			<dependency>
				<groupId>com.zxy.idm</groupId>
				<artifactId>zi-wms-pda</artifactId>
				<version>${revision}</version>
			</dependency>
			<dependency>
				<groupId>com.zxy.idm</groupId>
				<artifactId>zi-wms-label</artifactId>
				<version>${revision}</version>
			</dependency>
			<dependency>
				<groupId>com.zxy.idm</groupId>
				<artifactId>zi-wms-inf</artifactId>
				<version>${revision}</version>
			</dependency>
			<dependency>
				<groupId>com.zxy.idm</groupId>
				<artifactId>zi-wms-schedule</artifactId>
				<version>${revision}</version>
			</dependency>
			<dependency>
				<groupId>com.zxy.idm</groupId>
				<artifactId>zi-wms-service</artifactId>
				<version>${revision}</version>
			</dependency>
			<dependency>
				<groupId>com.zxy.idm</groupId>
				<artifactId>zi-wms-transport</artifactId>
				<version>${revision}</version>
			</dependency>
			<dependency>
				<groupId>com.zxy.idm</groupId>
				<artifactId>zi-wms-data</artifactId>
				<version>${revision}</version>
			</dependency>
			<dependency>
				<groupId>com.zxy.idm</groupId>
				<artifactId>zi-wms-generic</artifactId>
				<version>${revision}</version>
			</dependency>
			<dependency>
				<groupId>com.zxy.idm</groupId>
				<artifactId>zi-wms-yard</artifactId>
				<version>${revision}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.axis</groupId>
				<artifactId>axis</artifactId>
				<version>1.4</version>
			</dependency>
			<dependency>
				<groupId>axis</groupId>
				<artifactId>axis-jaxrpc</artifactId>
				<version>1.4</version>
			</dependency>
			<dependency>
				<groupId>commons-discovery</groupId>
				<artifactId>commons-discovery</artifactId>
				<version>0.2</version>
			</dependency>
			<dependency>
				<groupId>wsdl4j</groupId>
				<artifactId>wsdl4j</artifactId>
				<version>1.6.3</version>
			</dependency>
			<dependency>
				<groupId>net.sourceforge.jexcelapi</groupId>
				<artifactId>jxl</artifactId>
				<version>2.6.12</version>
			</dependency>
			<dependency>
				<groupId>com.alibaba.csb.sdk</groupId>
				<artifactId>http-client</artifactId>
				<version>1.1.5.11</version>
			</dependency>

		</dependencies>
	</dependencyManagement>

	<modules>
		<module>zi-wms-boot</module>
		<module>zi-wms-client</module>
		<module>zi-wms-data</module>
		<module>zi-wms-environment</module>
		<module>zi-wms-label</module>
		<module>zi-wms-inf</module>
		<module>zi-wms-schedule</module>
		<module>zi-wms-service</module>
		<module>zi-wms-transport</module>
		<module>zi-wms-pda</module>
		<module>zi-wms-util</module>
		<module>zi-wms-yard</module>
		<module>zi-wms-generic</module>
		<module>zi-wms-common</module>
	</modules>
</project>